Gumbel-II {VGAM} | R Documentation

## The Gumbel-II Distribution

### Description

Density, cumulative distribution function, quantile function and random generation for the Gumbel-II distribution.

### Usage

    dgumbelII(x, scale = 1, shape, log = FALSE)
    pgumbelII(q, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    qgumbelII(p, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    rgumbelII(n, scale = 1, shape)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. Same as in `runif`.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.
`shape, scale` | positive shape and scale parameters.

### Details

See `gumbelII` for details.

### Value

`dgumbelII` gives the density, `pgumbelII` gives the cumulative distribution function, `qgumbelII` gives the quantile function, and `rgumbelII` generates random deviates.

### Author(s)

T. W. Yee and Kai Huang

### See Also

`gumbelII`, `dgumbel`.

### Examples

    probs <- seq(0.01, 0.99, by = 0.01)
    Scale <- exp(1); Shape <- exp( 0.5);
    max(abs(pgumbelII(qgumbelII(p = probs, shape = Shape, Scale),
                      shape = Shape, Scale) - probs))  # Should be 0

    ## Not run:  x <- seq(-0.1, 10, by = 0.01);
    plot(x, dgumbelII(x, shape = Shape, Scale), type = "l", col = "blue", las = 1,
         main = "Blue is density, orange is cumulative distribution function",
         sub = "Purple lines are the 10,20,...,90 percentiles",
         ylab = "", ylim = 0:1)
    abline(h = 0, col = "blue", lty = 2)
    lines(x, pgumbelII(x, shape = Shape, Scale), col = "orange")
    probs <- seq(0.1, 0.9, by = 0.1)
    Q <- qgumbelII(probs, shape = Shape, Scale)
    lines(Q, dgumbelII(Q, Scale, Shape), col = "purple", lty = 3, type = "h")
    pgumbelII(Q, shape = Shape, Scale) - probs # Should be all zero
    abline(h = probs, col = "purple", lty = 3)
    ## End(Not run)

[Package VGAM version 1.0-3 Index]